<template>
  <span>{{ val }}</span>
</template>

<script setup lang="ts">
import { ref } from 'vue';
import { onMounted } from 'vue';
const props = defineProps<{
  options: any;
  value: any;
}>();

let val = ref('' as any);
onMounted(async () => {
  if (props.value !== null && typeof props.value !== 'undefined') {
    val.value = props.options[props.value as keyof typeof props.options];
  } else {
    val.value = 'N/A';
  }
});
</script>
